package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.PersonSuperviseRelation;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface PersonSuperviseRelationDAO {
	int insert(PersonSuperviseRelation entity);
	int update(PersonSuperviseRelation entity);
	int exist(String id);
	PersonSuperviseRelation get(String id);
	int delete(String id);
	List<PersonSuperviseRelation> list();
	List<PersonSuperviseRelation> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<PersonSuperviseRelation> findByPersonPopedomId(String popedom);
}